argocd.repository.list-write-repositories ​
ListWriteRepositories gets a list of all configured write repositories
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-argocd |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Argocd API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
repo | string | No | — | Repo URL for query. |
forcerefresh | boolean | No | — | Whether to force a cache refresh on repo's connection state. |
appproject | string | No | — | App project for query. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Argocd API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
repo | string | No | — | Repo URL for query. |
forcerefresh | boolean | No | — | Whether to force a cache refresh on repo's connection state. |
appproject | string | No | — | App project for query. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /api/v1/write-repositories |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /api/v1/write-repositories |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "argocd.repository.list-write-repositories",
"initial_data": {
"base_url": "value"
}
}